Specifying java source and target version in Maven 2

Posted on Leave a commentPosted in Uncategorized

While converting from Ant to Maven2 i have came across following error while trying to compile the project generics are not supported in -source 1.4 (try -source 1.5 to enable generics) private Map variables; To fix the problem we need to add the pluggin configuration to our pom.xml <project> … <build> <plugins> <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-compiler-plugin</artifactId> […]